com.smartgwt.client.widgets.form.fields

## Class DateTimeItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.form.fields.FormItem
        - - com.smartgwt.client.widgets.form.fields.DateItem
          - - com.smartgwt.client.widgets.form.fields.DateTimeItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPendingStatusChangedHandlers, HasPickerIconClickHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers, HasValueIconClickHandlers

      public class DateTimeItem
      extends DateItem

  Subclass of DateItem for manipulating `datetimes`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `FormItem.CustomStateGetter, FormItem.StateCustomizer`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeItem()`
    `DateTimeItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `DateTimeItem(java.lang.String name)`
    `DateTimeItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, DrawItem defaults)` Changes the defaults for DrawItem AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `java.lang.String` | `getBrowserInputType()` If `useTextField` is true and browserInputType is set to "datetime", then a native HTML5 local datetime input is used in place of a text input.
    `DateDisplayFormat` | `getDisplayFormat()` This property can be used to customize the format in which datetimes are displayed. Should be set to a standard `DateDisplayFormat` or a function which will return a formatted date time string.
    `java.lang.String` | `getInputFormat()` If `DateItem.useTextField` is `true` this property can be used to specify the input format for date strings.
    `static DateTimeItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getUseTextField()` DateTimeItems show datetime values in a freeform text entry area.
    `void` | `setBrowserInputType(java.lang.String browserInputType)` If `useTextField` is true and browserInputType is set to "datetime", then a native HTML5 local datetime input is used in place of a text input.
    `static void` | `setDefaultProperties(DateTimeItem dateTimeItemProperties)` Class level method to set the default properties of this class.
    `void` | `setDisplayFormat(DateDisplayFormat displayFormat)` This property can be used to customize the format in which datetimes are displayed. Should be set to a standard `DateDisplayFormat` or a function which will return a formatted date time string.
    `void` | `setInputFormat(java.lang.String inputFormat)` If `DateItem.useTextField` is `true` this property can be used to specify the input format for date strings.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.DateItem

      `deselectValue, deselectValue, getCenturyThreshold, getDateFormatter, getDaySelector, getDaySelectorProperties, getDefaultChooserDate, getEditProxyConstructor, getEndDate, getEnforceDate, getEnteredValue, getFiscalCalendar, getInvalidDateStringMessage, getMonthSelector, getMonthSelectorProperties, getPickerIconPrompt, getPickerProperties, getPickerTimeItemProperties, getSelectionRange, getSelectorFormat, getShowChooserFiscalYearPicker, getShowChooserWeekPicker, getShowHintInField, getShowPickerTimeItem, getStartDate, getTextAlign, getTextField, getTextFieldProperties, getUse24HourTime, getUsePlaceholderForHint, getUseSharedPicker, getValueAsDate, getYearSelector, getYearSelectorProperties, pendingStatusChanged, selectValue, setCenturyThreshold, setDateFormatter, setDaySelectorProperties, setDefaultChooserDate, setDefaultProperties, setEditorValueFormatter, setEditorValueParser, setEditProxyConstructor, setEndDate, setEnforceDate, setFiscalCalendar, setFiscalCalendar, setInvalidDateStringMessage, setMaskDateSeparator, setMonthSelectorProperties, setPickerIconPrompt, setPickerProperties, setPickerTimeItemProperties, setSelectionRange, setSelectorFormat, setShowChooserFiscalYearPicker, setShowChooserWeekPicker, setShowHintInField, setShowPickerTimeItem, setStartDate, setTextAlign, setTextFieldProperties, setUse24HourTime, setUseMask, setUsePlaceholderForHint, setUseSharedPicker, setUseTextField, setYearSelectorProperties`

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, asSGWTComponent, blurItem, canEditCriterion, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanSelectText, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDisabled, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getExportFormat, getFetchMissingValues, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverHeight, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getIcon, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIconVAlign, getIconWidth, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getLeft, getLoadingDisplayValue, getLocateItemBy, getMultipleValueSeparator, getName, getOperator, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPicker, getPickerIconHeight, getPickerIconName, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconWidth, getPixelHeight, getPixelWidth, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRowSpan, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowErrorIcon, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowOldValueInHover, getShowOverIcons, getShowPending, getShowPickerIcon, getShowRTL, getShowTitle, getShowValueIconOnly, getStartRow, getStaticHeight, getStopOnError, getSupportsCutPasteEvents, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextBoxStyle, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitleStyle, getTitleVAlign, getTooltip, getTop, getType, getUseDisabledHintStyleForReadOnly, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanSelectText, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setExportFormat, setFetchMissingValues, setFilterLocally, setForeignDisplayField, setFormat, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverHeight, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconVAlign, setIconWidth, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLoadingDisplayValue, setLocateItemBy, setMultipleValueSeparator, setName, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOriginalValueMessage, setPickerIconHeight, setPickerIconName, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRowSpan, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowErrorIcon, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIfCondition, setShowOldValueInHover, setShowOverIcons, setShowPending, setShowPickerIcon, setShowRTL, setShowTitle, setShowValueIconOnly, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setSupportsCutPasteEvents, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextBoxStyle, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitleStyle, setTitleVAlign, setTooltip, setTop, setType, setUseDisabledHintStyleForReadOnly, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### DateTimeItem

          public DateTimeItem()

    - #### DateTimeItem

          public DateTimeItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### DateTimeItem

          public DateTimeItem(java.lang.String name)

    - #### DateTimeItem

          public DateTimeItem(java.lang.String name,
                              java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static DateTimeItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     DrawItem defaults)

      Changes the defaults for DrawItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - DrawItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setBrowserInputType

          public void setBrowserInputType(java.lang.String browserInputType)

      If `useTextField` is true and browserInputType is set to "datetime", then a native HTML5 local datetime input is used in place of a text input.

      The use of a native HTML5 datetime input causes certain features to be disabled. Input masks, the picker icon, and a custom `datetimeFormatter` are not supported. In-field hints are currently supported in Chrome/Chromium/Opera 15 and iOS 5.0+, but future browser changes might force this support to be removed. Therefore, it is safest to not use in-field hints (set showHintInField to false) in conjunction with a native HTML5 datetime input. In-field hints are not supported in Opera 12 when using a native HTML5 datetime input. If in-field hints are not supported in the browser, then showHintInField has no effect and any hint will be shown to the side of the input.

      NOTES:

      - This feature requires specific CSS changes. Currently these changes have been made to the Enterprise, EnterpriseBlue, and Graphite skins only.
      - In Chrome/Chromium/Opera 15 and Opera 12, native datetime inputs need to be made wider in order to fit the full datetime value within the native control. However, on iOS 5.0+, the normal width is fine. Be sure to test the layout of the form in all browsers that you wish to support.

      Note : This is an advanced setting

      Overrides:
        `setBrowserInputType` in class `DateItem`
      Parameters:
        `browserInputType` - Default value is null

    - #### getBrowserInputType

          public java.lang.String getBrowserInputType()

      If `useTextField` is true and browserInputType is set to "datetime", then a native HTML5 local datetime input is used in place of a text input.

      The use of a native HTML5 datetime input causes certain features to be disabled. Input masks, the picker icon, and a custom `datetimeFormatter` are not supported. In-field hints are currently supported in Chrome/Chromium/Opera 15 and iOS 5.0+, but future browser changes might force this support to be removed. Therefore, it is safest to not use in-field hints (set showHintInField to false) in conjunction with a native HTML5 datetime input. In-field hints are not supported in Opera 12 when using a native HTML5 datetime input. If in-field hints are not supported in the browser, then showHintInField has no effect and any hint will be shown to the side of the input.

      NOTES:

      - This feature requires specific CSS changes. Currently these changes have been made to the Enterprise, EnterpriseBlue, and Graphite skins only.
      - In Chrome/Chromium/Opera 15 and Opera 12, native datetime inputs need to be made wider in order to fit the full datetime value within the native control. However, on iOS 5.0+, the normal width is fine. Be sure to test the layout of the form in all browsers that you wish to support.
      Overrides:
        `getBrowserInputType` in class `DateItem`
      Returns:
        String

    - #### setDisplayFormat

          public void setDisplayFormat(DateDisplayFormat displayFormat)

      This property can be used to customize the format in which datetimes are displayed.
      Should be set to a standard `DateDisplayFormat` or a function which will return a formatted date time string.

      If unset, the standard shortDateTime format as set up in `Date.setShortDatetimeDisplayFormat()` will be used.

      NOTE: you may need to update the `inputFormat` to ensure the DateItem is able to parse user-entered date strings back into Dates

      Overrides:
        `setDisplayFormat` in class `FormItem`
      Parameters:
        `displayFormat` - Default value is null
      See Also:
        `setInputFormat(java.lang.String)`

    - #### getDisplayFormat

          public DateDisplayFormat getDisplayFormat()

      This property can be used to customize the format in which datetimes are displayed.
      Should be set to a standard `DateDisplayFormat` or a function which will return a formatted date time string.

      If unset, the standard shortDateTime format as set up in `Date.setShortDatetimeDisplayFormat()` will be used.

      NOTE: you may need to update the `inputFormat` to ensure the DateItem is able to parse user-entered date strings back into Dates

      Returns:
        DateDisplayFormat
      See Also:
        `getInputFormat()`

    - #### setInputFormat

          public void setInputFormat(java.lang.String inputFormat)

      If `DateItem.useTextField` is `true` this property can be used to specify the input format for date strings. If unset, the input format will be determined based on the specified `DateItem.dateFormatter` if possible (see `DateItem.getInputFormat()`), otherwise picked up from the Date class (see `Date.setInputFormat()`).

      Should be set to a standard `DateInputFormat`

      Note that the `DateInputFormat` property is sufficient to parse date or datetime strings specified in most standard date formats. However should an entirely custom parsing function be required developers can apply a custom `editorValueParser` function.

      This attribute does not have an effect if a native HTML5 date input is being used. See `DateItem.browserInputType`.

      Overrides:
        `setInputFormat` in class `DateItem`
      Parameters:
        `inputFormat` - See `DateInputFormat` . Default value is null
      See Also:
        `FormItem.setDisplayFormat(com.smartgwt.client.types.DateDisplayFormat)`

    - #### getInputFormat

          public java.lang.String getInputFormat()

      If `DateItem.useTextField` is `true` this property can be used to specify the input format for date strings. If unset, the input format will be determined based on the specified `DateItem.dateFormatter` if possible (see `DateItem.getInputFormat()`), otherwise picked up from the Date class (see `Date.setInputFormat()`).

      Should be set to a standard `DateInputFormat`

      Note that the `DateInputFormat` property is sufficient to parse date or datetime strings specified in most standard date formats. However should an entirely custom parsing function be required developers can apply a custom `editorValueParser` function.

      This attribute does not have an effect if a native HTML5 date input is being used. See `DateItem.browserInputType`.

      Overrides:
        `getInputFormat` in class `DateItem`
      Returns:
        See `DateInputFormat`
      See Also:
        `com.smartgwt.client.widgets.form.fields.DateItem#getDisplayFormat`

    - #### getUseTextField

          public java.lang.Boolean getUseTextField()

      DateTimeItems show datetime values in a freeform text entry area.
      Overrides:
        `getUseTextField` in class `DateItem`
      Returns:
        Boolean
      See Also:
        `Basics overview and related methods`

    - #### setDefaultProperties

          public static void setDefaultProperties(DateTimeItem dateTimeItemProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `dateTimeItemProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`